Skip to Content
veriom

Intent revision diff

What one saved revision changed from the revision before it.

GET
/v1/workspaces/{workspace_id}/architecture-intent/versions/{version_id}/history/{revision}/diff

What one saved revision changed from the revision before it.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
version_id*Version Id
Formatuuid
revision*Revision
Range1 <= value <= 2147483647

Response Body

Successful Response

application/json
  1. response

Changes by stable identity from against (null: nothing before it) to this version.

against_content_sha256*string|null
against_revision*integer|null
against_version_id*|null
changes*array<>
content_sha256*Content Sha256
revision*Revision
version_id*Version Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/history/1/diff'
Example Response
{  "against_content_sha256": "string",  "against_revision": 0,  "against_version_id": "fee03761-4114-487c-932c-decf46d12c81",  "changes": [    {      "action": "added",      "collection": "elements",      "fields": [        "string"      ],      "key": "string",      "summary": "string"    }  ],  "content_sha256": "string",  "revision": 0,  "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c"}